import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface DataUpcloudZonesConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/upcloud/d/zones#filter_type DataUpcloudZones#filter_type}
    */
    readonly filterType?: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/upcloud/d/zones upcloud_zones}
*/
export declare class DataUpcloudZones extends cdktf.TerraformDataSource {
    static readonly tfResourceType = "upcloud_zones";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/upcloud/d/zones upcloud_zones} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataUpcloudZonesConfig = {}
    */
    constructor(scope: Construct, id: string, config?: DataUpcloudZonesConfig);
    private _filterType?;
    get filterType(): string;
    set filterType(value: string);
    resetFilterType(): void;
    get filterTypeInput(): string | undefined;
    get id(): string;
    get zoneIds(): string[];
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=data-upcloud-zones.d.ts.map